DeepFellow API ReferenceToolboxes
List all toolboxes
GET
Retrieve a list of toolboxes.
Needs admin bearer token in authorization header.
header
AuthorizationBearer <token>limit?integerRange
1 <= value <= 200Default
100after?|nullbefore?|nullOpenAI-Organization?|Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?|Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Successful Response
application/json- response
Model for output of toolbox list endpoint.
object?stringDefault
"list"first_id*|nulllast_id*|nullhas_more*booleandata*array<>Example Request
curl -X GET 'https://deepfellow-server-host/toolboxes'Example Response
{ "object": "list", "first_id": "5eb7cf5a86d9755df3a6c593", "last_id": "5eb7cf5a86d9755df3a6c593", "has_more": true, "data": [ { "id": "5eb7cf5a86d9755df3a6c593", "name": "string", "project_id": "5eb7cf5a86d9755df3a6c593", "created_at": 0 } ]}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.